Servers

Revision as of 13:50, 30 June 2010 by Kganfield (Talk | contribs)
(diff) ← Older revision | Current revision (diff) | Newer revision → (diff)

NetBeans Java EE Servers Support

This page summarizes the efforts to provide server plugins for the NetBeans IDE. A server plugin is a NetBeans plugin that facilitates integration with a web server or a Java EE server, including starting/stopping the server, deployment, debugging, user interface for server registration and basic administration, handling server-specific data and other tasks. The following table summarizes the server plugins currently available for NetBeans:

Server Version Status Note
Glassfish V1 UR1 Included in the NetBeans 5.5.x and 6.x distribution Corresponds to Sun Java System Application Server 9.0 UR1. Version V1 works as well, but is not officially supported.
V2 Included in the NetBeans 5.5.1 and 6.x distribution. Does not work in NetBeans 5.5. Corresponds to Sun Java System Application Server 9.1 Beta 2.
3.0.x Included in the NetBeans 6.9 distribution. Stable quality
Sun Java System Application Server 8.2 Included in the NetBeans 5.5.x and 6.x distribution Versions 8.0 and 8.1 may work as well, but were not tested.
9.0 UR1 Included in the NetBeans 5.5.x and 6.x distribution Corresponds to GlassFish V1 UR1. Version 9.0 works as well, but is not officially supported.
9.1 UR2 Included in the NetBeans 5.5.1 and 6.x distribution. Does not work in NetBeans 5.5. Corresponds to GlassFish V2
Sun Java System Web Server 7.0 Available on the Update Center for NetBeans 5.5.x and 6.x distribution Stable quality
Apache Tomcat 5.x Included in the NetBeans 5.5.x and 6.x distribution. Version 5.5.x is officially supported, 5.0.x also works.
6.0.x Included in the NetBeans 6.x distribution. Does not work in NetBeans 5.5.x. Stable quality.
JBoss 4.0.4 Included in the NetBeans 5.5.x and 6.x distribution. Previous JBoss 4.0.x versions may work as well.
4.0.5 and later 4.x versions Included in the NetBeans 5.5.1 and 6.x distribution. Does not work with NetBeans 5.5. Note that JBoss 4.x is not compliant with Java EE 5, so Java EE 5 applications will not work correctly with JBoss 4.x.
5.0.x Included in the NetBeans 5.5.1 and 6.x distribution. Does not work in NetBeans 5.5. Stable quality.
Oracle WebLogic 9.x Included in the NetBeans 5.5.x and 6.x distribution. Version 9.1 is officially supported.
10.x Included in the NetBeans IDE 6.x distribution. Does not work in NetBeans 5.5.x. This version supports the Java EE 5 specification.
IBM WebSphere 6.x Available on the Beta Update Center for NetBeans 5.5 and 6.0.x. Included in NetBeans IDE 6.1 and NetBeans IDE 6.5. Not supported in NetBeans IDE 6.7, 6.8 or 6.9. Does not work with the latest NetBeans releases.
Oracle OC4J 10g Available on the Beta Update Center for NetBeans 5.5.x and NetBeans 6.x distribution Beta quality.
SAP BusinessOne 1.0 Available on the Plugin Portal and the Plugin Portal Update Center. Not tested
JOnAS 4.7.x and 4.8.x Developed at jonbas.sourceforge.net, available for NetBeans 5.5. Beta quality.
Sailfin v1 Included in NetBeans IDE 6.1 and higher. Stable quality.
v2 Included in NetBeans IDE 6.8 and higher. Stable quality.



For the exact list of supported servers in each release, please refer to the release notes for the relevant version:

Not logged in. Log in, Register

By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo